sc::BcastStateSend(3)

NAME
sc::BcastStateSend -

BcastStateSend does the send part of a broadcast of an object to all nodes.

SYNOPSIS

#include <mstate.h>

Inherits sc::MsgStateSend.

  Public Member Functions
BcastStateSend (const Ref< MessageGrp > &)
Create the BcastStateSend.
void flush ()
Flush the data remaining in the buffer.

  Additional Inherited Members

Detailed Description

BcastStateSend does the send part of a broadcast of an object to all nodes. Only one node uses a BcastStateSend and the rest must use a BcastStateRecv.

Author

Generated automatically by Doxygen for MPQC from the source code.